"use strict";
const command_1 = require("@oclif/command");
const shelljs_1 = require("shelljs");
class Drails extends command_1.Command {
    parseCommand() {
        const { raw } = this.parse(Drails);
        const railsCommand = raw.map(({ input }) => input).join(' ');
        return `docker-compose run --rm web rails ${railsCommand}`;
    }
    async run() {
        const command = this.parseCommand();
        shelljs_1.exec(command);
    }
}
Drails.description = 'run your rails commands with docker compose and rails web service';
Drails.strict = false;
Drails.examples = [
    'drails db:create',
    'drails g model User',
];
Drails.flags = {
    // add --version flag to show CLI version
    version: command_1.flags.version({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' }),
};
Drails.args = [
    {
        name: 'command',
        required: true,
        description: 'command to run on rails docker compose web service',
    },
];
module.exports = Drails;
